<?php
/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/**
 * Product view template
 *
 * @see \Magento\Catalog\Block\Product\View
 */
?>
<?php
$_helper = $this->helper('Magento\Catalog\Helper\Output');
$_themeHelper = $this->helper('MGS\Mpanel\Helper\Data');
$_product = $block->getProduct();
$_call = $block->getAtCall();
$_code = $block->getAtCode();
$_className = $block->getCssClass();
$_attributeType = $block->getAtType();
$_attributeAddAttribute = $block->getAddAttribute();
$_product = $_themeHelper->getModel('Magento\Catalog\Model\Product')->load($_product->getId());

if ($_attributeType == 'text') {
	$_attributeValue = ($_helper->productAttribute($_product, $_product->$_call(), $_code)) ? $_product->getAttributeText($_code) : '';
} elseif($_attributeType == 'list'){
	$_arrValue = $_product->getAttributeText($_code);
	$_attributeValue = implode(', ', (array)$_arrValue);
}else{
	if($_code == 'description'){
		$_attributeValue = $this->helper('Magento\Catalog\Helper\Output')->productAttribute($_product, $_product->getDescription(), 'description');
		$_attributeValueConGuide = $this->helper('Magento\Catalog\Helper\Output')->productAttribute($_product, $_product->getConnectionGuide(), 'connection_guide');
	}else{
		$_attributeValue = $_product->getResource()->getAttribute($_code)->getFrontend()->getValue($_product);
	}
    
}

?>

<?php if ($_attributeValue && $_className != 'overview'): ?>
<div class="product attribute <?php /* @escapeNotVerified */ echo $_className?>">
    <div class="value" <?php /* @escapeNotVerified */ echo $_attributeAddAttribute;?>><?php /* @escapeNotVerified */ echo $_attributeValue; ?></div>
</div>
<?php if ($_attributeValueConGuide): ?>
	<div class="product attribute connection_guide">
		<h3>Connection Guides</h3>
	    <div class="value" <?php /* @escapeNotVerified */ echo $_attributeAddAttribute;?>><?php /* @escapeNotVerified */ echo $_attributeValueConGuide; ?></div>
	</div>
	<?php endif; ?>
<?php elseif($_attributeValue && $_className == 'overview'): ?>
<div class="product attribute <?php /* @escapeNotVerified */ echo $_className?>">
    <div class="value std" <?php /* @escapeNotVerified */ echo $_attributeAddAttribute;?>><?php /* @escapeNotVerified */ echo $_attributeValue; ?></div>
</div>
<?php endif; ?>

